DOM::HTMLParamElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLParamElement Class Reference

Parameters fed to the `OBJECT` element. More...

`#include <html_object.h>`

Inheritance diagram for DOM::HTMLParamElement:

[legend]
Collaboration diagram for DOM::HTMLParamElement:

[legend]
List of all members.

## Public Member Functions
| HTMLParamElement (const HTMLParamElement &other)
| HTMLParamElement (const Node &other)
HTMLParamElement & | operator= (const HTMLParamElement &other)
HTMLParamElement & | operator= (const Node &other)
DOMString | name () const
| The name of a run-time parameter.
void | setName (const DOMString &)
| see name
DOMString | type () const
| Content type for the `value` attribute when `valuetype` has the value "ref".
void | setType (const DOMString &)
| see type
DOMString | value () const
| The value of a run-time parameter.
void | setValue (const DOMString &)
| see value
DOMString | valueType () const
| Information about the meaning of the `value` attribute value.
void | setValueType (const DOMString &)
| see valueType
## Protected Member Functions
| HTMLParamElement (HTMLParamElementImpl *impl)

## Detailed Description

Parameters fed to the `OBJECT` element.

See the PARAM element definition in HTML 4.0.

Definition at line 557 of file html_object.h.

## Member Function Documentation

DOMString HTMLParamElement::name | ( |  | ) | const

| The name of a run-time parameter. See the name attribute definition in HTML 4.0. Definition at line 493 of file html_object.cpp.

void HTMLParamElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 499 of file html_object.cpp.

DOMString HTMLParamElement::type | ( |  | ) | const

| Content type for the `value` attribute when `valuetype` has the value "ref". See the type attribute definition in HTML 4.0. Definition at line 504 of file html_object.cpp.

void HTMLParamElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 510 of file html_object.cpp.

DOMString HTMLParamElement::value | ( |  | ) | const

| The value of a run-time parameter. See the value attribute definition in HTML 4.0. Definition at line 515 of file html_object.cpp.

void HTMLParamElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 521 of file html_object.cpp.

DOMString HTMLParamElement::valueType | ( |  | ) | const

| Information about the meaning of the `value` attribute value. See the valuetype attribute definition in HTML 4.0. Definition at line 526 of file html_object.cpp.

void HTMLParamElement::setValueType | ( | const DOMString & |  | ) |

| see valueType Definition at line 532 of file html_object.cpp.

The documentation for this class was generated from the following files:

- html_object.h
- html_object.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:29 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001